/* --------------------
Single Product
-------------------- */

.woocommerce div.product div.images {
  width: 100%;
  margin: 0;
}

.woocommerce div.product div.summary {
  width: 100%;
}

.woocommerce div.product {
  margin-top: 48px;
}

.woocommerce div.product .product_title_wrap {
  font-weight: 600;
  font-size: 24px;
  color: #2a2d30;
  padding-bottom: 5px;
  margin-bottom: 18px;
  border-bottom: 1px solid #bcccdc;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  & .sku_wrapper {
    font-weight: bold;
    font-size: 14px;
    line-height: 20px;
    color: #0d3853;
  }
}
.product_meta .posted_in {
  display: flex;
  align-items: center;
  gap: 9px;
}
.product_meta .posted_in a {
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  color: #6b677a;
  display: inline-flex;
  align-items: center;
  &:hover {
    color: #0d3853;
  }
  &:after {
    content: "";
    width: 6px;
    height: 6px;
    background: rgba(217, 217, 217, 1);
    display: block;
    border-radius: 50%;
    margin: 0 0 0 8px;
  }
  &:last-child:after {
    content: none;
  }
}
.product_meta {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  row-gap: 12px;
}

.woocommerce-product-details__short-description {
  margin-top: 24px;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
  text-align: justify;
  color: #212121;
}

.product-info {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
}

.product-info-item {
  width: calc(50% - 10px);
  background: #f0f5fa;
  padding: 22px 24px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.product-info-item span:first-child {
  font-weight: 600;
  font-size: 14px;
  color: #6b677a;
}

.product-info-item span:last-child {
  font-weight: 600;
  font-size: 14px;
  color: #0d3853;
}

.product-buttons {
  display: flex;
  align-items: center;
  margin-top: 32px;
  gap: 12px;
}

.product-buttons a i::before {
  color: #0d3853;
}

.product-info {
  margin-top: 24px;
}

.product-main-swiper img {
  width: 100%;
}
.product-gallery-swiper {
  max-width: 500px;
  margin: auto;
}
.product-thumbs-swiper {
  margin-top: 12px;
  & .swiper-slide img {
    transition: 0.3s;
    border: 1px solid transparent;
  }
  & .swiper-slide.swiper-slide-thumb-active img {
    border: 1px solid #0d3853;
  }

  & .swiper-slide:hover img {
    border: 1px solid #0d3853;
  }
}

.thumbs-prev,
.thumbs-next {
  position: unset;
  margin: 0;
  transform: unset;
}

.thumbs-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.websima-tab-product {
  margin-top: 67px;
}

.single-product .archive-faq .section-title {
  font-weight: 600;
  font-size: 24px;
  text-align: left;
  color: #2a2d30;
  margin-bottom: 32px;
}

.single-product .section-faq {
  margin-top: 0;
}

.product-tab-sidebar {
  margin-top: 67px;
}

.product-anchor-nav {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 12px 16px;
  background: #0d3853;
  position: sticky;
  top: 140px;
  z-index: 5;
  margin-bottom: 32px;
  gap: 10px;
}

.side-shop {
  position: sticky;
  top: 140px;
}

.shop-sidebar {
  height: 100%;
}

.product-anchor-nav li a {
  display: block;
  text-align: center;
  padding: 8px 12px;
  font-weight: 600;
  font-size: 16px;
  color: #ffffff;
  transition: 0.3s;
}

.product-anchor-nav li {
  width: calc(25% - 10px);
}

.product-anchor-nav li.active a {
  color: #0d3853;
  background: #fff;
}

.product-anchor-nav li a:hover {
  color: #0d3853;
  background: #fff;
}

.single-tab-title {
  font-weight: 600;
  font-size: 24px;
  color: #2a2d30;
  margin-bottom: 14px;
}

.single-product-description {
  padding: clamp(24px, 2vw, 48px) clamp(24px, 2vw, 40px);
  border: 2px solid #edeff7;
}

.single-product-information {
  padding: 0 16px;
  border: 2px solid #edeff7;
}

.product-information-title {
  padding: 24px 20px;
  background: #f0f5fa;
  font-weight: 600;
  font-size: 16px;
  color: #0d3853;
}

.woocommerce table.shop_attributes tr:nth-child(even) td,
.woocommerce table.shop_attributes tr:nth-child(even) th {
  background: none;
}

.woocommerce table.shop_attributes th {
  padding: 24px 16px;
  color: #0d3853;
  font-weight: 600;
  font-size: 14px;
  line-height: 100%;
}
.woocommerce table.shop_attributes tr {
  display: flex;
  align-items: center;
  width: 100%;
  border-bottom: 1px solid #bcccdc52;
}

.woocommerce table.shop_attributes tr:last-child {
  border: none;
}
.woocommerce table.shop_attributes td {
  font-style: normal;
  color: #0d3853;
  font-weight: 400;
  font-size: 14px;
}

.woocommerce table.shop_attributes {
  border: 0;
  width: 100%;
}

.woocommerce table.shop_attributes tr:last-child td,
.woocommerce table.shop_attributes tr:last-child th {
  border-bottom: 0;
}

#section-related_products {
  margin-top: 48px;
}
#section-description {
  margin-top: 48px;
}
.single-product .archive-faq {
  margin-top: 48px;
}

.single-product-tags {
  display: flex;
  align-items: center;
  border-top: 1px solid #bcccdc;
  margin-top: 30px;
  padding-top: 16px;
  gap: 9px;
}

.product-tags-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  background: rgba(13, 56, 83, 1);
  color: #fff;
  font-size: 13px;
}

.product_meta .tagged_as {
  display: none;
}

.single-product-tags ul {
  display: flex;
  align-items: center;
  gap: 22px;
}

.single-product-tags ul li a {
  font-weight: 400;
  font-size: 14px;
  line-height: 100%;
  color: #6b677a;
}

.single-product-tags ul li {
  position: relative;
}

.single-product-tags ul li::after {
  content: "";
  width: 6px;
  height: 6px;
  background: #d9d9d9;
  display: block;
  border-radius: 50%;
  position: absolute;
  right: -12px;
  top: 50%;
  transform: translateY(-50%);
}

.single-product-tags ul li:last-child:after {
  display: none;
}

.websima-single-product-quote {
  position: relative;
}

.toast_wrap {
  background-color: green;
  color: #fff;
  line-height: 1;
  padding: 6px;
  border-radius: 6px;
  text-align: center;
  font-size: 12px;
  position: absolute;
  width: max-content;
  left: 0;
  /* transform: translateX(-50%); */
  bottom: -36px;
  display: none;
}
.consult-card {
  padding: 32px 20px;
  background: #f0f5fa;
  text-align: center;
  color: #0d3853;
  & .consult-card__image {
    max-width: 140px;
    margin: auto;
    margin-bottom: 16px;
    & img {
      aspect-ratio: 1/1;
      border-radius: 50%;
      object-fit: cover;
      outline: 5px solid #fff;
    }
  }
  & .consult-card__title {
    font-weight: 700;
    margin-bottom: 10px;
  }

  & .consult-card__desc {
    font-weight: 600;
    font-size: 14px;
    line-height: 24px;
    margin-bottom: 10px;
  }
  & .consult-card__links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 14px;
  }
}
@media (max-width: 991px) {
  .single-meta-share {
    margin: 0;
  }

  .product_meta {
    margin-bottom: 24px;
  }

  .woocommerce div.product .product_title {
    text-align: center;
  }

  .product-info-item {
    width: 100%;
  }

  .product-buttons {
    justify-content: space-between;
    & .websima-single-product-quote {
      flex: 0 0 calc(40% - 6px);
      max-width: calc(40% - 6px);
      & .websima-button {
        width: 100%;
      }
    }
    & > .websima-button {
      flex: 0 0 calc(60% - 6px);
      max-width: calc(60% - 6px);
    }
  }
  .product-anchor-nav {
    display: none;
  }
  .single-product .archive-faq .section-title {
    text-align: center;
    margin-bottom: 32px !important;
  }
  .shop-sidebar {
    margin-top: 40px;
  }
  .product_meta .posted_in a {
    white-space: nowrap;
  }
  .consult-card {
    margin-top: 40px;
  }
}

@media (max-width: 576px) {
  .product_meta .posted_in {
    overflow: auto;
    margin-left: 9px;
  }
  .product-buttons {
    & .websima-button {
      font-size: 13px;
      padding: 10px;
    }
  }
}
